Skip Menu |
 

This queue is for tickets about the Prty CPAN distribution.

Report information
The Basics
Id: 122401
Status: resolved
Priority: 0/
Queue: Prty

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 1.115
Fixed in: (no value)



Subject: xml libxml related failure (perl 5.16.x only?)
Download (untitled) / with headers
text/plain 1.7k
The following failure seems to happen only perl 5.16.x: # Failed test 'use Prty::Xml::LibXml;' # at t/bin/Prty/Xml/LibXml.t line 13. # Tried to use 'Prty::Xml::LibXml'. # Error: 1 object version 2.0128 does not match bootstrap parameter 1 at /opt/perl-5.16.3/lib/5.16.3/x86_64-linux/DynaLoader.pm line 213. # BEGIN failed--compilation aborted at /opt/perl-5.16.3/lib/site_perl/5.16.3/x86_64-linux/XML/LibXML.pm line 156. # Compilation failed in require at (eval 29) line 2. # ...propagated at /opt/perl-5.16.3/lib/5.16.3/base.pm line 84. # BEGIN failed--compilation aborted at /tmpfs/.cpan-build-cpansand/2017070818/Prty-1.115-12/blib/lib/Prty/Xml/LibXml.pm line 2. # Compilation failed in require at /tmpfs/.cpan-build-cpansand/2017070818/Prty-1.115-12/blib/lib/Prty/Test/Class.pm line 722. # BEGIN failed--compilation aborted at /tmpfs/.cpan-build-cpansand/2017070818/Prty-1.115-12/blib/lib/Prty/Test/Class.pm line 722. # Failed test 'Exception: # CLASSLOADER-00001: Modul kann nicht geladen werden # Class: # XML::LibXML # Method: # load_xml() # Error: # Attempt to reload XML/LibXML.pm aborted. # Compilation failed in require # Stacktrace: # Prty::Test::Class::runTests() [t/bin/Prty/Xml/LibXml.t:140] # (eval) [/tmpfs/.cpan-build-cpansand/2017070818/Prty-1.115-12/blib/lib/Prty/Test/Class.pm:568] # Prty::Xml::LibXml::Test::test_unitTest() [/tmpfs/.cpan-build-cpansand/2017070818/Prty-1.115-12/blib/lib/Prty/Test/Class.pm:568] # Prty::ClassLoader::AUTOLOAD() [t/bin/Prty/Xml/LibXml.t:35] # ' # at t/bin/Prty/Xml/LibXml.t line 140. # Looks like you failed 2 tests of 4. t/bin/Prty/Xml/LibXml.t ......................... Dubious, test returned 2 (wstat 512, 0x200) Failed 2/4 subtests (less 2 skipped subtests: 0 okay)
Subject: Re: [rt.cpan.org #122401] xml libxml related failure (perl 5.16.x only?)
Date: Sun, 9 Jul 2017 12:55:19 +0200
To: bug-Prty [...] rt.cpan.org
From: Frank Seitz <fs [...] fseitz.de>
Download (untitled) / with headers
text/plain 2.5k
Das sieht mir nach einem Problem von XML::LibXML aus, für das mein Code nichts kann. On 07/09/2017 10:44 AM, Slaven_Rezic via RT wrote: Show quoted text
> Sun Jul 09 04:44:34 2017: Request 122401 was acted upon. > Transaction: Ticket created by SREZIC > Queue: Prty > Subject: xml libxml related failure (perl 5.16.x only?) > Broken in: 1.115 > Severity: (no value) > Owner: Nobody > Requestors: SREZIC@cpan.org > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=122401 > > > > The following failure seems to happen only perl 5.16.x: > > # Failed test 'use Prty::Xml::LibXml;' > # at t/bin/Prty/Xml/LibXml.t line 13. > # Tried to use 'Prty::Xml::LibXml'. > # Error: 1 object version 2.0128 does not match bootstrap parameter 1 at /opt/perl-5.16.3/lib/5.16.3/x86_64-linux/DynaLoader.pm line 213. > # BEGIN failed--compilation aborted at /opt/perl-5.16.3/lib/site_perl/5.16.3/x86_64-linux/XML/LibXML.pm line 156. > # Compilation failed in require at (eval 29) line 2. > # ...propagated at /opt/perl-5.16.3/lib/5.16.3/base.pm line 84. > # BEGIN failed--compilation aborted at /tmpfs/.cpan-build-cpansand/2017070818/Prty-1.115-12/blib/lib/Prty/Xml/LibXml.pm line 2. > # Compilation failed in require at /tmpfs/.cpan-build-cpansand/2017070818/Prty-1.115-12/blib/lib/Prty/Test/Class.pm line 722. > # BEGIN failed--compilation aborted at /tmpfs/.cpan-build-cpansand/2017070818/Prty-1.115-12/blib/lib/Prty/Test/Class.pm line 722. > > # Failed test 'Exception: > # CLASSLOADER-00001: Modul kann nicht geladen werden > # Class: > # XML::LibXML > # Method: > # load_xml() > # Error: > # Attempt to reload XML/LibXML.pm aborted. > # Compilation failed in require > # Stacktrace: > # Prty::Test::Class::runTests() [t/bin/Prty/Xml/LibXml.t:140] > # (eval) [/tmpfs/.cpan-build-cpansand/2017070818/Prty-1.115-12/blib/lib/Prty/Test/Class.pm:568] > # Prty::Xml::LibXml::Test::test_unitTest() [/tmpfs/.cpan-build-cpansand/2017070818/Prty-1.115-12/blib/lib/Prty/Test/Class.pm:568] > # Prty::ClassLoader::AUTOLOAD() [t/bin/Prty/Xml/LibXml.t:35] > # ' > # at t/bin/Prty/Xml/LibXml.t line 140. > # Looks like you failed 2 tests of 4. > t/bin/Prty/Xml/LibXml.t ......................... > Dubious, test returned 2 (wstat 512, 0x200) > Failed 2/4 subtests > (less 2 skipped subtests: 0 okay)
-- Dipl.-Inform. Frank Seitz IT Consultant / {Web, Database, Linux} Developer Tel: +49-176-78243503, Hauptstr. 32-34, D-25462 Rellingen Blog: http://fseitz.de/blog
Download (untitled) / with headers
text/plain 2.7k
Erst mal muss ich mich korrigieren --- ich sehe diese Testfehler auch mit älteren Perl-Versionen (5.10.1 .. 5.16.3). Ich vermute eher ein Problem mit einem geänderten Verhalten in Perl selbst (DynaLoader? AUTOLOAD?) On 2017-07-09 06:55:37, fs@fseitz.de wrote: Show quoted text
> Das sieht mir nach einem Problem von XML::LibXML aus, für das mein > Code > nichts kann. > > On 07/09/2017 10:44 AM, Slaven_Rezic via RT wrote:
> > Sun Jul 09 04:44:34 2017: Request 122401 was acted upon. > > Transaction: Ticket created by SREZIC > > Queue: Prty > > Subject: xml libxml related failure (perl 5.16.x only?) > > Broken in: 1.115 > > Severity: (no value) > > Owner: Nobody > > Requestors: SREZIC@cpan.org > > Status: new > > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=122401 > > > > > > > The following failure seems to happen only perl 5.16.x: > > > > # Failed test 'use Prty::Xml::LibXml;' > > # at t/bin/Prty/Xml/LibXml.t line 13. > > # Tried to use 'Prty::Xml::LibXml'. > > # Error: 1 object version 2.0128 does not match bootstrap > > parameter 1 at /opt/perl-5.16.3/lib/5.16.3/x86_64-linux/DynaLoader.pm > > line 213. > > # BEGIN failed--compilation aborted at /opt/perl- > > 5.16.3/lib/site_perl/5.16.3/x86_64-linux/XML/LibXML.pm line 156. > > # Compilation failed in require at (eval 29) line 2. > > # ...propagated at /opt/perl-5.16.3/lib/5.16.3/base.pm line 84. > > # BEGIN failed--compilation aborted at /tmpfs/.cpan-build- > > cpansand/2017070818/Prty-1.115-12/blib/lib/Prty/Xml/LibXml.pm line 2. > > # Compilation failed in require at /tmpfs/.cpan-build- > > cpansand/2017070818/Prty-1.115-12/blib/lib/Prty/Test/Class.pm line > > 722. > > # BEGIN failed--compilation aborted at /tmpfs/.cpan-build- > > cpansand/2017070818/Prty-1.115-12/blib/lib/Prty/Test/Class.pm line > > 722. > > > > # Failed test 'Exception: > > # CLASSLOADER-00001: Modul kann nicht geladen werden > > # Class: > > # XML::LibXML > > # Method: > > # load_xml() > > # Error: > > # Attempt to reload XML/LibXML.pm aborted. > > # Compilation failed in require > > # Stacktrace: > > # Prty::Test::Class::runTests() [t/bin/Prty/Xml/LibXml.t:140] > > # (eval) [/tmpfs/.cpan-build-cpansand/2017070818/Prty-1.115- > > 12/blib/lib/Prty/Test/Class.pm:568] > > # Prty::Xml::LibXml::Test::test_unitTest() [/tmpfs/.cpan- > > build-cpansand/2017070818/Prty-1.115- > > 12/blib/lib/Prty/Test/Class.pm:568] > > # Prty::ClassLoader::AUTOLOAD() > > [t/bin/Prty/Xml/LibXml.t:35] > > # ' > > # at t/bin/Prty/Xml/LibXml.t line 140. > > # Looks like you failed 2 tests of 4. > > t/bin/Prty/Xml/LibXml.t ......................... > > Dubious, test returned 2 (wstat 512, 0x200) > > Failed 2/4 subtests > > (less 2 skipped subtests: 0 okay)


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.